package org.springframework.boot.loader.archive;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Collections;
import java.util.Iterator;
import java.util.jar.Manifest;
import org.springframework.boot.loader.archive.Archive;
import org.springframework.boot.loader.archive.ExplodedArchive;

class SimpleJarFileArchive implements Archive {
  private final URL url;
  
  SimpleJarFileArchive(ExplodedArchive.FileEntry file) {
    this.url = file.getUrl();
  }
  
  public URL getUrl() throws MalformedURLException {
    return this.url;
  }
  
  public Manifest getManifest() throws IOException {
    return null;
  }
  
  public Iterator<Archive> getNestedArchives(Archive.EntryFilter searchFilter, Archive.EntryFilter includeFilter) throws IOException {
    return Collections.emptyIterator();
  }
  
  @Deprecated
  public Iterator<Archive.Entry> iterator() {
    return Collections.emptyIterator();
  }
  
  public String toString() {
    try {
      return getUrl().toString();
    } catch (Exception ex) {
      return "jar archive";
    } 
  }
}
